commit: e5e66f281db091eba96437e176eceeb53045d8f1
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 15 13:16:55 2017 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Feb 15 13:16:55 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5e66f28
dev-python/catkin_pkg: Bump to 0.3.1
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-python/catkin_pkg/Manifest | 1 +
dev-python/catkin_pkg/catkin_pkg-0.3.1.ebuild | 51 +++++++++++++++++++++++++++
2 files changed, 52 insertions(+)
diff --git a/dev-python/catkin_pkg/Manifest b/dev-python/catkin_pkg/Manifest
index 733a2207e3..e9eb1542cd 100644
--- a/dev-python/catkin_pkg/Manifest
+++ b/dev-python/catkin_pkg/Manifest
@@ -1 +1,2 @@
DIST catkin_pkg-0.2.10.tar.gz 44290 SHA256
df4a5e81dbcb42530cb7ccb4007e352f00ee4059de801f868e79949151e96403 SHA512
fe3fb8297319d410c4aa3f86c52ede5eabae4f51e70181b7ee2c6c4db9a576466d9d39970d410c95dd24900c6d9287cf64185aa267891bdb884b37d397807f7e
WHIRLPOOL
eac3196a9b00938eedb64710683951a3ca7d1d61110aeea5f82b3a863055e25861a8c61b89617d26a68f42a2573630c63e91423bff0e11c86b4f07076090d418
+DIST catkin_pkg-0.3.1.tar.gz 43710 SHA256
7eab5d82cd946fd070b9d58751c54739eb85c8b23665483b863dbc414f681206 SHA512
f72f96935e7528f5f2f64d20becccfa9e6ca06619d03631741319ed22d2e97a2a8cd9abb47b06e680dd36367919d76ba88efcb64c1bd3c4c49a76af24f571f0d
WHIRLPOOL
fb7a5972732efa80a33280c569bf13c31d7758c670463646e9b742580860c58e5f70f8238728e2490e5e5fa3c188a4cd2e7f2a385bdf5ced73677e2efda29619
diff --git a/dev-python/catkin_pkg/catkin_pkg-0.3.1.ebuild
b/dev-python/catkin_pkg/catkin_pkg-0.3.1.ebuild
new file mode 100644
index 0000000000..fbc5d3f2d0
--- /dev/null
+++ b/dev-python/catkin_pkg/catkin_pkg-0.3.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy{,3} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/catkin_pkg"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the catkin package system"
+HOMEPAGE="http://wiki.ros.org/catkin_pkg"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="
+ http://download.ros.org/downloads/${PN}/${P}.tar.gz
+
https://github.com/ros-infrastructure/catkin_pkg/archive/${PV}.tar.gz ->
${P}.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? ( dev-python/mock[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}] )
+"
+PATCHES=( "${FILESDIR}/catkin_prefix.patch" )
+
+python_test() {
+ nosetests -s --tests test || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ # Avoid recursing in the whole hierarchy
+ dodir /usr/
+ touch "${ED}/usr/CATKIN_IGNORE"
+}